<?php
/*------------------------------------------------------------------------
# dropdown.php - Author List Module
# ------------------------------------------------------------------------
# author    Joomla!Vargas
# copyright Copyright (C) 2010 joomla.vargas.co.cr. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://joomla.vargas.co.cr
# Technical Support:  Forum - http://joomla.vargas.co.cr/forum
-------------------------------------------------------------------------*/

defined('_JEXEC') or die;

jimport( 'joomla.environment.uri' );

$show_items = $params->get('show_items', 0);

$uri = JURI::getInstance();
$location = $uri->toString(array('path'));
?>
<?php foreach ($list as $item) :
	$item->value = $item->link;
	$item->text = $item->name;
	if ($show_items) :
		$item->text .= ' (' . $item->articles_count . ')';
	endif;
endforeach; 
$filter = JFilterInput::getInstance();
array_unshift($list, JHtml::_('select.option', '', JText::_('MOD_AUTHORLIST_SELECT_AN_AUTHOR')));
?>
<form action="#" method="get" name="selectForm" id="selectForm">
	<?php echo JHtml::_('select.genericlist',  $list, 'id', 'class="inputbox" onchange="if(this.value)document.location.href=this.value"', 'value', 'text', $location );?>
</form>        
